`gpcm.p` <-
function(theta,a=1,b=0,d=0){
  # Computes a N x J x (K+1) matrix of category response functions #

  if(is.null(dim(d))) d = as.matrix(d)
  N = length(theta)
  J = length(a)
  K = dim(d)[2]
  
  if(length(b) != J)
    stop('length(b) does not match length(a)\n')
  if(dim(d)[1] != J)
    stop('number of rows in d does not match length(a)\n')
  theta[theta==Inf] = .Machine$double.max.exp

  #psi = a * outer(b,theta,'+')
  psi = outer(a,theta) + b
  psi = outer(t(psi),0:K,'*')
  #psi = psi + outer(rep(0,N),cbind(0,t(apply(d,1,cumsum))),'-')
  d.cs = rbind(0,apply(d,1,cumsum))
  psi = psi + aperm(array(d.cs,c(K+1,J,N)),c(3,2,1))
  
  mx = apply(psi,c(1,2),max,na.rm=T)
  psi = psi-array(mx,c(N,J,K+1))
  psi = exp(psi)
  norm = apply(psi,c(1,2),sum,na.rm=T)
  
  drop(psi/array(norm,c(length(theta),length(a),dim(d)[2]+1)))
}

