`plot.gpcm` <-
function(out,theta=seq(-3,3,len=200),plot.type='crf',...){

  match.arg(plot.type,c('crf','irf'))
  probs = gpcm.p(theta,out$est[,1],out$est[,2],out$est[,-(1:2)])
  
  old.ask = par()$ask
  par(ask=T)
  if(plot.type == 'crf')
    apply(probs,2,matplot,x=theta,type='l',
          xlab=expression(theta), ylab = expression(P[jk](theta)),...)
  if(plot.type=='irf'){
    irf=sapply(1:nrow(out$est),
      function(i){
        apply(t(probs[,i,])*(0:(ncol(out$est)-2)),2,sum,na.rm=T)})
    apply(irf,2,plot,x=theta,type='l',
          xlab=expression(theta),ylab=expression(E[j](theta)),...)
  }
  
  par(ask = old.ask)
}

