\name{gpcm.p}
\alias{gpcm.p}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{Partial credit probabilities}
\description{
  \code{gpcm.p} calculates the category response
  functions for items defined by the parameters a, b, and d for a vector
  of propensities (theta).  }

\usage{ gpcm.p(theta, a = 1, b = 0, d = 0) }
%- maybe also 'usage' for other objects documented here.  \arguments{
  \item{theta}{A vector of thetas to calculate probabilities for.}
  \item{a}{A vector of item slopes
    defining the category response functions.}
  \item{b}{A vector of item intercepts.}
  \item{d}{A matrix of item-category
    parameters.  NAs are used for categories that are not used by
    certain items.}
}
%\details{
%  ~~ If necessary, more details than the description above ~~
%}
\value{
  \code{gpcm.p1} returns a matrix of probabilites.  The rows correspond
  to the thetas used to calculate the probabilities and the column
  correspond to the category response functions for the single item.

  \code{gpcm.p1} returns an array of size length(theta) * length(a) *
  (1+dim(d)[2]).  The second dimension of the array cycles through the
  items.  
}
\references{ ~put references to the literature/web site here ~ }
\author{Matthew S. Johnson}
%\note{ ~~further notes~~ 
%
% ~Make other sections like Warning with \section{Warning }{....} ~
%}
%\seealso{ ~~objects to See Also as \code{\link{help}}, ~~~ }
\examples{
a = 1
b = 0
d = rnorm(4)
d = d - mean(d)
th = seq(-3,3,len=200)
matplot(th,gpcm.p(th,a,b,t(d)))
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ ~kwd1 }
\keyword{ ~kwd2 }% __ONLY ONE__ keyword per line
