\name{plot.gpcm}
\alias{plot.gpcm}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{Function for plotting the estimate category and item response
  functions of the partial credit model.}
\description{The plot() function for gpcm objects.}
}
\usage{
plot.gpcm(out, theta = seq(-3, 3, len = 200), plot.type = "crf", ...)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{out}{A list containing a \code{data.frame} named est containing
    the item parameters.}
  \item{theta}{A vector of thetas to compute the category response
    functions.}
  \item{plot.type}{Either 'crf' or 'irf' to plot either the category
    response functions or the item response functions.}
  \item{\dots}{Arguments to pass to the \code{plot} function.}
}
\details{
The plot() function for \code{gpcm} objects plots the category and
item response functions of the partial credit model.}

%\value{
%  ~Describe the value returned
%  If it is a LIST, use
%  \item{comp1 }{Description of 'comp1'}
%  \item{comp2 }{Description of 'comp2'}
%  ...
%}
%\references{ ~put references to the literature/web site here ~ }
\author{Matthew S. Johnson}
%\note{ ~~further notes~~ 
%
% ~Make other sections like Warning with \section{Warning }{....} ~
%}
%\seealso{ ~~objects to See Also as \code{\link{help}}, ~~~ }
\examples{
data(foodsec)
food = foodsec
food[is.na(food)] = 0
out = gpcm(food[,-c(5,10)],n.quad.pts=15)
plot(out)
plot(out,plot.type='irf')
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ ~kwd1 }
\keyword{ ~kwd2 }% __ONLY ONE__ keyword per line
