\name{rgpcm}
\alias{rgpcm}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{Function to simulate data from the generalized partial credit
  model with a normal prior (mixing) distribution.}
\description{Function to simulate data from the generalized partial credit
  model with a normal prior (mixing) distribution.}
}
\usage{
rgpcm(n = 1, a = 1, b = 0, d = 0)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{n}{The number of individuals to sample item responses for.}
  \item{a}{A vector of item slopes.}
  \item{b}{A vector of item intercepts}
  \item{d}{A matrix with number of rows equal to the length(a).  Each
    row of the matrix gives the item-category parameters.}
}
\details{The model simulates data from the generalized partial credit
  model by simulating \code{n} observations from the standard normal
  distribution with \code{rnorm(n)}.  Given the vector of propensities,
  the category response functions are calcuated with the function
  \code{gpcm.p}, and item responses are sampled.
}
\value{A \code{n x length(a)} matrix of item responses, where rows
  correspond to individuals and columns correspond to items.
}
\references{ ~put references to the literature/web site here ~ }
\author{Matthew S. Johnson}
%\note{ ~~further notes~~ 
%
% ~Make other sections like Warning with \section{Warning }{....} ~
%}
\seealso{\code{\link{gpcm.p}},\code{\link{rnorm}}}
\examples{
a = rep(1,10)
b = seq(-2,2,len=10)
d = matrix(0,10,2)
# Create a randomly generated data set #
X = rgpcm(1000,a,b,d)
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ ~kwd1 }
\keyword{ ~kwd2 }% __ONLY ONE__ keyword per line
